#
#       Makefile for Turbo C TMAKE
#
#       Use TMAKE -fmidix_tc.mak
#
#       Change the CPATH and ASMPATH statements to correspond
#       with your Turbo C and MASM 5.1 directories
#

CPATH=C:\LANG\TC\\

ASMPATH=C:\LANG\MASM\\

CFLAGS=-G -N- -O -Z -c -d -ms

ASMFLAGS=/mx

TCC=$(CPATH)TCC $(CFLAGS)

MASM=$(ASMPATH)MASM $(ASMFLAGS)

TLINK=$(CPATH)TLINK

LIB=$(CPATH)LIB\\

.C.OBJ:
        $(TCC) $*.c

.ASM.OBJ:
        $(MASM) $*.asm;

OBJLIST=midiex.obj midiint.obj

midiex.exe:     $(OBJLIST)
        $(TLINK) $(LIB)c0s $(OBJLIST), $*,,$(LIB)cs

midiexx.obj: midiex.c midiex.h

midiint.obj: midiint.asm
